Package org.eclipse.emf.cdo.transaction

# Interface CDOSavepoint

All Superinterfaces:
  `CDOChangeSetDataProvider`, `CDOUserSavepoint`

All Known Subinterfaces:
  `InternalCDOSavepoint`

public interface CDOSavepoint extends CDOUserSavepoint, CDOChangeSetDataProvider
One in a sequence of possibly several points in time of a `transaction` that encapsulates the changes to transactional objects and that later changes can be `rolled back` to.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`Map<CDOID,CDORevision>`
`getAllBaseNewObjects()`
`CDOChangeSetData`
`getAllChangeSetData()`
`Map<CDOID,CDOObject>`
`getAllDetachedObjects()`
`Map<CDOID,CDOObject>`
`getAllDirtyObjects()`
Return the list of new objects from this point.
`Map<CDOID,CDOObject>`
`getAllNewObjects()`
Return the list of new objects from this point without objects that are removed.
`Map<CDOID,CDORevisionDelta>`
`getAllRevisionDeltas()`
Return the list of all deltas without objects that are removed.
`Map<CDOID,CDORevision>`
`getBaseNewObjects()`
`Map<CDOID,CDOObject>`
`getDetachedObjects()`
`Map<CDOID,CDOObject>`
`getDirtyObjects()`
`Map<CDOID,CDOObject>`
`getNewObjects()`
`CDOSavepoint`
`getNextSavepoint()`
`CDOSavepoint`
`getPreviousSavepoint()`
`Map<CDOID,CDOObject>`
`getReattachedObjects()`
Bug 283985 (Re-attachment)
`ConcurrentMap<CDOID,CDORevisionDelta>`
`getRevisionDeltas()`
Deprecated.
As of 4.2 use `getRevisionDeltas2()` instead.
`Map<CDOID,CDORevisionDelta>`
`getRevisionDeltas2()`
`CDOTransaction`
`getTransaction()`
`boolean`
`wasDirty()`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeSetDataProvider

`getChangeSetData`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserSavepoint

`getNumber, isValid, rollback`

## Method Details

### getTransaction

CDOTransaction getTransaction()

Specified by:
  `getTransaction` in interface `CDOUserSavepoint`
Since:
  3.0

### getNextSavepoint

CDOSavepoint getNextSavepoint()

Specified by:
  `getNextSavepoint` in interface `CDOUserSavepoint`

### getPreviousSavepoint

CDOSavepoint getPreviousSavepoint()

Specified by:
  `getPreviousSavepoint` in interface `CDOUserSavepoint`

### wasDirty

boolean wasDirty()

Since:
  3.0

### getBaseNewObjects

Map<CDOID,CDORevision> getBaseNewObjects()

Since:
  3.0

### getNewObjects

Map<CDOID,CDOObject> getNewObjects()

Since:
  3.0

### getDetachedObjects

Map<CDOID,CDOObject> getDetachedObjects()

Since:
  3.0

### getReattachedObjects

Map<CDOID,CDOObject> getReattachedObjects()
Bug 283985 (Re-attachment)

Since:
  3.0

### getDirtyObjects

Map<CDOID,CDOObject> getDirtyObjects()

Since:
  3.0

### getRevisionDeltas

@Deprecated ConcurrentMap<CDOID,CDORevisionDelta> getRevisionDeltas()
Deprecated.
As of 4.2 use `getRevisionDeltas2()` instead.
The returned map delegates to `getRevisionDeltas2()` and does not support the following methods:

- `ConcurrentMap.putIfAbsent(Object, Object)`
- `ConcurrentMap.remove(Object, Object)`
- `ConcurrentMap.replace(Object, Object)`
- `ConcurrentMap.replace(Object, Object, Object)`

Since:
  3.0

### getRevisionDeltas2

Map<CDOID,CDORevisionDelta> getRevisionDeltas2()

Since:
  4.2

### getAllBaseNewObjects

Map<CDOID,CDORevision> getAllBaseNewObjects()

Since:
  3.0

### getAllNewObjects

Map<CDOID,CDOObject> getAllNewObjects()
Return the list of new objects from this point without objects that are removed.

Since:
  3.0

### getAllDetachedObjects

Map<CDOID,CDOObject> getAllDetachedObjects()

Since:
  3.0

### getAllDirtyObjects

Map<CDOID,CDOObject> getAllDirtyObjects()
Return the list of new objects from this point.

Since:
  3.0

### getAllRevisionDeltas

Map<CDOID,CDORevisionDelta> getAllRevisionDeltas()
Return the list of all deltas without objects that are removed.

Since:
  3.0

### getAllChangeSetData

CDOChangeSetData getAllChangeSetData()

Since:
  4.0